Bug 1480983 - Regression in gtk-doc when updating docbook-style-xsl from 1.79.1 to 1.79.2
Summary: Regression in gtk-doc when updating docbook-style-xsl from 1.79.1 to 1.79.2
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: docbook-style-xsl
Version: 32
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL: https://sourceforge.net/p/docbook/bug...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-13 10:57 UTC by Sébastien Wilmet
Modified: 2020-06-05 13:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:37:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Sébastien Wilmet 2017-08-13 10:57:17 UTC
Description of problem:

See this gtk-doc bug:
https://bugzilla.gnome.org/show_bug.cgi?id=785139

The bug occurs since I've upgraded to Fedora 26. See this comment:
https://bugzilla.gnome.org/show_bug.cgi?id=785139#c12

Version-Release number of selected component (if applicable):

Works fine with: docbook-style-xsl-1.79.1-1.fc25
Bug occurs with: docbook-style-xsl-1.79.2-4.fc26

How reproducible:
100% reproducible.

Steps to Reproduce:
1. Build the gtk-doc documentation of e.g. a GNOME module. Or running `make check` in gtk-doc.

Actual results:
The api-index-*.html files are missing for specific "since" versions.

Expected results:
All *.html files are correctly generated from the *.xml files.

Additional info:
I see that the docbook-style-xsl package on Fedora has some downstream patches. So the bug maybe comes from one of those patches.

Comment 1 Sébastien Wilmet 2017-08-13 11:04:30 UTC
The bug has also been filed in docbook upstream:
https://sourceforge.net/p/docbook/bugs/1401/

Comment 2 Ondrej Vasik 2017-08-16 09:47:23 UTC
Thanks for report and for contacting upstream!

Comment 3 Fedora End Of Life 2018-05-03 08:11:27 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Sébastien Wilmet 2018-05-05 12:02:34 UTC
Still the same problem on Fedora 28.

Comment 5 Ben Cotton 2019-05-02 20:49:03 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-28 22:37:51 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Sébastien Wilmet 2019-11-15 10:24:03 UTC
The bug is still not fixed, it's quite problematic for all API documentation generated with gtk-doc.

Comment 8 Sébastien Wilmet 2020-04-13 14:46:05 UTC
The upstream developer recommends to switch back to 1.79.1:

> I would suggest you go back to 1.79.1 for now.
> The 1.79.2 version is built from the same source
> files using a somewhat different process to confirm
> that the new process worked. It should be functionally
> equivalent to 1.79.1, but obviously not in this case.
> I will investigate this issue.

See: https://sourceforge.net/p/docbook/bugs/1401/

Can it be done in Fedora?

Comment 9 Ondrej Vasik 2020-06-05 13:43:56 UTC
Unfortunately, going back to 1.79.1 in Fedora is not possible without epoch bump. Should be avoided if there are other ways to solve it. And there was no upstream release of docbook-style-xsl for quite a while...


Note You need to log in before you can comment on or make changes to this bug.